Summary:        MiKTeX: a scalable TeX distribution
Name:           miktex
Version:        25.3
Release:        1%{?dist}
License:        unknown
Group:          unknown
URL:            https://miktex.org
Vendor:         MiKTeX.org
Source:         https://miktex.org/download/ctan/systems/win32/miktex/source/miktex-%{version}.tar.xz
BuildRequires: apr-devel, apr-util-devel, bison, boost-devel, bzip2-devel, cairo-devel, curl, curl-devel, flex, fribidi-devel, gcc, gcc-c++, git, gpg, gd-devel, gmp-devel, graphite2-devel, hunspell-devel, libicu-devel, libmspack-devel, libxslt, log4cxx-devel, make, mpfi-devel, mpfr-devel, openssl-devel, popt-devel, potrace-devel, qt6-linguist, qt6-qt5compat-devel, qt6-qtbase-devel, qt6-qtdeclarative-devel, qt6-qttools, qt6-qttools-static, rpm-build, uriparser-devel, xz-devel, zziplib-devel
Provides: liblibefont.so()(64bit), libliblcdf.so()(64bit)

%description
MiKTeX is a scalable TeX distribution.  The bare installation is "just
enough TeX" to get you going.

For more information about the MiKTeX project, visit the project page:
https://miktex.org

%prep
%setup -q
find . -name "*.h" -exec sed -i 's|log4cxx/rollingfileappender.h|log4cxx/rolling/rollingfileappender.h|g' {} +
find . -name "*.cpp" -exec sed -i 's|log4cxx/rollingfileappender.h|log4cxx/rolling/rollingfileappender.h|g' {} +
find . -name "*.c" -exec sed -i 's|fprintf(stderr, s);|fprintf(stderr,"%s", s);|g' {} +
sed -i '12i #include <inttypes.h>' Programs/DviWare/dvisvgm/source/libs/woff2/include/woff2/output.h
sed -i '12i #include <stddef.h>' Programs/DviWare/dvisvgm/source/libs/woff2/include/woff2/output.h


%build
echo insecure >> ~/.curlrc
%cmake -DUSE_SYSTEM_HARFBUZZ=FALSE -DUSE_SYSTEM_HARFBUZZ_ICU=FALSE -DWITH_UI_QT=TRUE
%cmake_build 

%install
%cmake_install

%files
%{_bindir}/*
%{_libdir}/*
%dir %{_libexecdir}/miktex
%{_libexecdir}/miktex/*
%doc %{_mandir}/*
%{_datadir}/applications/*
%dir %{_datadir}/miktex-texmf
%{_datadir}/miktex-texmf/miktex/bootstrapping/*
%{_datadir}/pixmaps/miktex-console.png
%{_datadir}/polkit-1/actions/miktex-console.policy

%post -p /bin/sh

case "$1" in
    2)
	initexmf --admin --clean
	;;
    *)
	;;
esac


%preun -p /bin/sh
case "$1" in
    0)
	miktexsetup factoryreset
	;;
    *)
	;;
esac

%changelog
%autochangelog
